Import("env")

import fnmatch
import os

def verify_json(source, target, env):
    for root, dirnames, files in os.walk("data"):
        for file in files:
            if file.endswith(".json"):
                if (env.Execute("json_verify < " + root + '/' + file)):
                    Exit(1)

env.AddPreAction("buildfs", verify_json)
